org.objectweb.util.ant

## Class TokenizedAntCall

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.CallTarget
      - - org.objectweb.util.ant.TokenizedAntCall

All Implemented Interfaces:
  Cloneable

    public class TokenizedAntCall
    extends org.apache.tools.ant.taskdefs.CallTarget

Author:
  S.Chassande-Barrioz

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`TokenizedAntCall()`

### Method Summary

Methods
`org.apache.tools.ant.taskdefs.Property` `createParam()`
`void` `execute()`
`String` `getSeparators()`
`String` `getTokenList()`
`String` `getTokenVarName()`
`void` `setSeparators(String separators)`
`void` `setTokenList(String tokenList)`
`void` `setTokenVarName(String tokenVarName)`

### Methods inherited from class org.apache.tools.ant.taskdefs.CallTarget

`addConfiguredTarget, addPropertyset, addReference, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, setInheritAll, setInheritRefs, setTarget`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenizedAntCall

    public TokenizedAntCall()

### Method Detail

#### createParam

    public org.apache.tools.ant.taskdefs.Property createParam()

Overrides:
  `createParam` in class `org.apache.tools.ant.taskdefs.CallTarget`

#### getTokenList

    public String getTokenList()

#### setTokenList

    public void setTokenList(String tokenList)

#### getSeparators

    public String getSeparators()

#### setSeparators

    public void setSeparators(String separators)

#### getTokenVarName

    public String getTokenVarName()

#### setTokenVarName

    public void setTokenVarName(String tokenVarName)

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.taskdefs.CallTarget`
Throws:
  `org.apache.tools.ant.BuildException`